Page MenuHomePhabricator

Please add <https://www4.bibl.ulaval.ca/spbar_kalos/> to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Hello,
Domain whitelist permission please. I am a librarian at Université Laval library. I would like to upload a collection of pictures (that you can see here https://kalos.bibl.ulaval.ca/digital/collection/p22018coll8/search) from our library. You can see an example here: https://www4.bibl.ulaval.ca/spbar_kalos/archi.qc_1/11-d.na.civile-75-1878.jpg.
Cephas

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd www4.bibl.ulaval.ca to wgCopyUploadsDomains

Event Timeline

Cephas created this task.Apr 11 2019, 2:47 PM
Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptApr 11 2019, 2:47 PM
Ammarpad added a subscriber: Ammarpad.EditedApr 12 2019, 2:18 PM

Hi @Cephas,
as you assigned this task to yourself, are you going to work on it? See the guide: mw:How to report a bug

It is the clumsiness of somebody new in this environment. The task is of course assigned to anybody inhere able to achieve it. (@Ammarpad)

Aklapper removed Cephas as the assignee of this task.Apr 12 2019, 3:18 PM

Change 503561 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add www4.bibl.ulaval.ca to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/503561

Framawiki added a subscriber: Framawiki.

Will deploy it next week.

Will deploy it next week.

Sorry for the delay :( Scheduled for 2019-04-29.

Change 503561 merged by jenkins-bot:
[operations/mediawiki-config@master] Add www4.bibl.ulaval.ca to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/503561

Mentioned in SAL (#wikimedia-operations) [2019-04-29T18:13:27Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add www4.bibl.ulaval.ca to wgCopyUploadsDomains (T220704) (duration: 00m 53s)

@Cephas Config change is live on Commons site, please ping me if it is not working as excepted.

Great, thank you. I still have some data fitting before getting into it. It may takes a few weeks.

Ammarpad closed this task as Resolved.May 1 2019, 3:33 PM
Ammarpad removed a project: Patch-For-Review.

Can be reopened when there are issues.

@Framawiki, I need permission for batch upload on Commons.

@Cephas We don't grant permissions, you need to ask on Commons.

@Framawiki, I need permission for batch upload on Commons.

See https://commons.wikimedia.org/wiki/Commons:Upload_tools#Upload_by_URL and https://commons.wikimedia.org/wiki/Commons:GLAMwiki_Toolset. GLAMwiki user permissions are needed to use url upload on Special:UploadWizard.